import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRScenesManagementClusterSceneInfoStruct extends _NSObject {
    static alloc(): _MTRScenesManagementClusterSceneInfoStruct;
    static new(): _MTRScenesManagementClusterSceneInfoStruct;
    init(): _MTRScenesManagementClusterSceneInfoStruct;
    sceneCount(): _NSNumber;
    setSceneCount$(value: _NSNumber): void;
    currentScene(): _NSNumber;
    setCurrentScene$(value: _NSNumber): void;
    currentGroup(): _NSNumber;
    setCurrentGroup$(value: _NSNumber): void;
    sceneValid(): _NSNumber;
    setSceneValid$(value: _NSNumber): void;
    remainingCapacity(): _NSNumber;
    setRemainingCapacity$(value: _NSNumber): void;
    fabricIndex(): _NSNumber;
    setFabricIndex$(value: _NSNumber): void;
}
export interface _MTRScenesManagementClusterSceneInfoStruct extends _NSCopying {
}
